Bug 119065 - grep: unknown directories method
Summary: grep: unknown directories method
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-24 16:39 UTC by Marius Andreiana
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-24 17:19:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marius Andreiana 2004-03-24 16:39:46 UTC
Description of problem:
grep gives error
grep: unknown directories method
for some directories.

Version-Release number of selected component (if applicable):
grep-2.5.1-17.4.i386.rpm
(using both FC1 and updated version)

How reproducible:
100%

Steps to Reproduce:
1. login as root
2. cd /var/log/samba
3. grep word *

 
Actual results:
[root@marte samba]# grep garcia * 
grep: unknown directories method
[root@marte samba]# cd ..
[root@marte log]# grep garcia *
[root@marte log]#


Expected results:
grep the files


Additional info:
found another report here
http://www.linuxsa.org.au/mailing-list/2003-06/892.html

Comment 1 Tim Waugh 2004-03-24 17:19:03 UTC
You have a file that begins '-d' I expect.  Use 'grep -- garcia *'.


Note You need to log in before you can comment on or make changes to this bug.